
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #743

Can't open FLAC m3u/pls playlists with unescaped URI to http file server

September 11, 2017 23:57 - konkor konkor

Status: Rejected Start date: September 11, 2017

Priority: Trivial Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.7.2   

Description

Can't open unescaped URL to flac files when similar MP3 playlist playing just fine...

CAN'T*PLAY

#EXTINF:,01 Electric Daisy Violin.flac

http://192.168.1.7:8088/10/Lindsey%20Stirling%20-%20Lindsey%20Stirling%20[Target%20Deluxe%20Edition]%20(2013)%20[

FLAC]/01%20Electric%20Daisy%20Violin.flac

 

ALL FINE

#EXTINF:,01 Electric Daisy Violin.mp3

http://192.168.1.7:8088/10/Lindsey%20Stirling%20-%20Lindsey%20Stirling%20[Target%20Deluxe%20Edition]%20(2013)%20[

FLAC]/01%20Electric%20Daisy%20Violin.mp3

History

#1 - September 11, 2017 23:59 - konkor konkor

So when it opened from 'File->Open URL' it's playing well.

#2 - September 12, 2017 02:10 - John Lindgren

Please upload the output of "audacious -V" when playing the file from Open URL and when trying to play it from the .m3u file.

Also please upload the .m3u file as an attachment.

Also test to see if the problem still occurs with the latest version.

#3 - September 12, 2017 02:12 - John Lindgren

Also, the title says "unescaped URI" but the example you gave is escaped.  Which is it?

#4 - September 12, 2017 09:43 - konkor konkor

John Lindgren wrote:

Also, the title says "unescaped URI" but the example you gave is escaped.  Which is it?

 

My bad sorry... It's escaped for sure. Here is some output

ERROR neon.cc:573 [open_handle]: <0x7f552802b970> Could not parse URL
http://192.168.1.7:8088/10/Lindsey%20Stirling%20-%20Lindsey%20Stirling%20%5BTarget%20Deluxe%20Edition%5D%20(2013)%20%5BFLAC%5D/01%20Electric%20Daisy%20Violin.flac
http://192.168.1.7:8088/10/Lindsey%20Stirling%20-%20Lindsey%20Stirling%20%5BTarget%20Deluxe%20Edition%5D%20(2013)%20%5BFLAC%5D/01%20Electric%20Daisy%20Violin.flac
http://192.168.1.7:8088/10/Lindsey%20Stirling%20-%20Lindsey%20Stirling%20%5BTarget%20Deluxe%20Edition%5D%20(2013)%20%5BFLAC%5D/01%20Electric%20Daisy%20Violin.mp3
http://192.168.1.7:8088/10/Lindsey%20Stirling%20-%20Lindsey%20Stirling%20%5BTarget%20Deluxe%20Edition%5D%20(2013)%20%5BFLAC%5D/01%20Electric%20Daisy%20Violin.mp3


'http://192.168.1.7:8088/10/Lindsey%20Stirling%20-%20Lindsey%20Stirling%20[Target%20Deluxe%20Edition]%20(2013)%20[FLAC]/09%20Sh

adows.flac'

ERROR neon.cc:730 [fopen]: <0x7f552802b970> Could not open URL

ERROR util.cc:160 [audgui_simple_message]: Error playing 

http://192.168.1.7:8088/10/Lindsey%20Stirling%20-%20Lindsey%20Stirling%20[Target%20Deluxe%20Edition]%20(2013)%20[FLAC]/09%20Sh

adows.flac:

Error parsing URL

 

So URLs without escaped symbols plays fine but playlist with mp3 files plays well.

PS: Is it possible somehow optimize tag reading? Can you read tags from the one request and don't spam all the time server with 10 request per

song? And on hover over songs the player sends this request again and again even for current song... (I know I can disable songs popups but some

cache for it would be nice too)

#5 - September 12, 2017 14:44 - John Lindgren

"Error parsing URL" is interesting; it means that ne_uri_parse() didn't like the URL we gave it.

Please upload the .m3u file as an attachment.

Also test to see if the problem still occurs with the latest version.

#6 - September 12, 2017 15:29 - konkor konkor

- File Lindsey Stirling - Lindsey Stirling [Target Deluxe Edition] (2013) [FLAC].pls added

not working playlists

#7 - September 12, 2017 15:29 - konkor konkor

- File Lindsey Stirling - Lindsey Stirling [Target Deluxe Edition] (2013) [FLAC].m3u added

not working playlists

#8 - September 12, 2017 15:31 - konkor konkor

- File Deadmau5 - At Play In The USA Vol. 1 (PLAYCD007) - 2013 (320 kbps).m3u added

this is working well

#9 - September 13, 2017 01:11 - John Lindgren

- Status changed from New to Rejected

Okay, the problem is the square brackets in the URL.  You need to encode those (i.e. '%5b' for '[' and '%5b' for ']').  See here:

https://stackoverflow.com/questions/40568/are-square-brackets-permitted-in-urls/1016737#1016737
http://192.168.1.7:8088/10/Lindsey%20Stirling%20-%20Lindsey%20Stirling%20%5BTarget%20Deluxe%20Edition%5D%20(2013)%20%5BFLAC%5D/09%20Shadows.flac
http://192.168.1.7:8088/10/Lindsey%20Stirling%20-%20Lindsey%20Stirling%20%5BTarget%20Deluxe%20Edition%5D%20(2013)%20%5BFLAC%5D/09%20Shadows.flac
https://stackoverflow.com/questions/40568/are-square-brackets-permitted-in-urls/1016737#1016737


If you got that broken URL from some other piece of software (for example, a file server) you should report a bug to its developers.

In this case, a working URL would be:

http://192.168.1.7:8088/10/Lindsey%20Stirling%20-%20Lindsey%20Stirling%20%5bTarget%20Deluxe%20Edition%5d%20(2013)%20%5bFLAC%5d/

01%20Electric%20Daisy%20Violin.mp3

#10 - September 13, 2017 09:11 - konkor konkor

I'm sorry for my bug. Thank you very much for your time and attention.

I'll recommend your player to all ;)

Files

Lindsey Stirling - Lindsey Stirling [Target Deluxe Edition] (2013) [FLAC].pls2.66 KBSeptember 12, 2017 konkor konkor

Lindsey Stirling - Lindsey Stirling [Target Deluxe Edition] (2013) [FLAC].m3u3.12 KBSeptember 12, 2017 konkor konkor

Deadmau5 - At Play In The USA Vol. 1 (PLAYCD007) - 2013 (320 kbps).m3u2.27 KBSeptember 12, 2017 konkor konkor
